org.apache.calcite.avatica.remote

## Class Service.ColumnsRequest

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Request
    - - org.apache.calcite.avatica.remote.Service.ColumnsRequest

Enclosing interface:
  Service

    public static class Service.ColumnsRequest
    extends Service.Request

Request for `Meta.getColumns(Meta.ConnectionHandle, String, org.apache.calcite.avatica.Meta.Pat, org.apache.calcite.avatica.Meta.Pat, org.apache.calcite.avatica.Meta.Pat)`.

### Field Summary

Fields
`String` `catalog`
`String` `columnNamePattern`
`String` `connectionId`
`String` `schemaPattern`
`String` `tableNamePattern`

### Constructor Summary

Constructors
Constructor and Description
`ColumnsRequest(String connectionId, String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### connectionId

    public final String connectionId

#### catalog

    public final String catalog

#### schemaPattern

    public final String schemaPattern

#### tableNamePattern

    public final String tableNamePattern

#### columnNamePattern

    public final String columnNamePattern

### Constructor Detail

#### ColumnsRequest

    public ColumnsRequest(String connectionId,
                          String catalog,
                          String schemaPattern,
                          String tableNamePattern,
                          String columnNamePattern)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`